libstdc++

Discuss installation issues/solutions for Engarde

Moderators: scrumpy, Dave, leihog

libstdc++

Postby internetworks on Thu Apr 08, 2010 10:40 am

Hello,

I have decided to try and install a Fedora rpm to upgrade the current libstdc++ found in Engarde Linux.

Any ideas what may go wrong or how wrong?

I plan to use this: libstdc++-4.4.1-2.fc11.x86_64.rpm

ftp://distro.ibiblio.org/pub/linux/dist ... x86_64.rpm

I still can not install squid because it says:

[root@server tmp]# rpm -Uvh squid-3.0.STABLE23-1.x86_64.rpm
error: Failed dependencies:
libstdc++.so.6(GLIBCXX_3.4.6)(64bit) is needed by squid-3.0.STABLE23-1.x86_64


[root@server tmp]# rpm -q --provides libstdc++
libstdc++.so.6()(64bit)
libstdc++.so.6(CXXABI_1.3)(64bit)
libstdc++.so.6(GLIBCXX_3.4)(64bit)
libstdc++.so.6(GLIBCXX_3.4.1)(64bit)
libstdc++.so.6(GLIBCXX_3.4.2)(64bit)
libstdc++.so.6(GLIBCXX_3.4.3)(64bit)
libstdc++ = 3.4.4-5
[root@server tmp]# rpm -q glibc


Thanks.
internetworks
 
Posts: 41
Joined: Mon Mar 31, 2008 2:13 pm

Re: libstdc++

Postby Dave on Fri Apr 09, 2010 12:26 am

internetworks wrote:Hello,

I have decided to try and install a Fedora rpm to upgrade the current libstdc++ found in Engarde Linux.
I'll see if I can build one for you in the next day or so and will post it for you here.

Best,
Dave
Dave
Site Admin
 
Posts: 107
Joined: Tue Jun 13, 2006 6:06 pm

Re: libstdc++

Postby internetworks on Fri Apr 09, 2010 2:11 pm

Hello,

It would be great!
internetworks
 
Posts: 41
Joined: Mon Mar 31, 2008 2:13 pm

Re: libstdc++

Postby internetworks on Mon Apr 12, 2010 2:16 pm

Hello,

Any news on the update?

I would try to install using the Fedora rpm however if something fails I might have to re-install the entire server and it is a dedicated server in production to which I only have access by Internet so it will get messy. :)

Thanks.
internetworks
 
Posts: 41
Joined: Mon Mar 31, 2008 2:13 pm

Re: libstdc++

Postby internetworks on Sun Jun 13, 2010 9:23 am

Hello,

I tried a Redhat rpm:

Code: Select all
[ @server tmp]# rpm -i --test libstdc++-4.4.0-4.x86_64.rpm
warning: libstdc++-4.4.0-4.x86_64.rpm: Header V3 RSA/SHA256 signature: NOKEY, key ID d22e77f2
[b]error: Failed dependencies:[/b]
        libc.so.6(GLIBC_2.4)(64bit) is needed by libstdc++-4.4.0-4.x86_64
        libgcc_s.so.1(GCC_4.2.0)(64bit) is needed by libstdc++-4.4.0-4.x86_64
        rpmlib(FileDigests) <= 4.6.0-1 is needed by libstdc++-4.4.0-4.x86_64
        rtld(GNU_HASH) is needed by libstdc++-4.4.0-4.x86_64
[ @server tmp]#
internetworks
 
Posts: 41
Joined: Mon Mar 31, 2008 2:13 pm

Re: libstdc++

Postby sterilegenie on Fri Jun 18, 2010 9:28 pm

The message is telling you what packages are needed to complete the install. Install those packages and the error message should go away.
sterilegenie
 
Posts: 3
Joined: Thu Jun 17, 2010 9:30 pm


Return to Installation

Who is online

Users browsing this forum: No registered users and 1 guest

cron